Diff for /parser3/configure between versions 1.66.2.3 and 1.73

version 1.66.2.3, 2003/03/12 09:40:19 version 1.73, 2003/11/21 12:50:27
Line 309  ac_includes_default="\ Line 309  ac_includes_default="\
 # include <unistd.h>  # include <unistd.h>
 #endif"  #endif"
   
 ac_subst_vars='SHELL PATH_SEPARATOR PACKAGE_NAME PACKAGE_TARNAME PACKAGE_VERSION PACKAGE_STRING PACKAGE_BUGREPORT exec_prefix prefix program_transform_name bindir sbindir libexecdir datadir sysconfdir sharedstatedir localstatedir libdir includedir oldincludedir infodir mandir build_alias host_alias target_alias DEFS ECHO_C ECHO_N ECHO_T LIBS INSTALL_PROGRAM INSTALL_SCRIPT INSTALL_DATA CYGPATH_W PACKAGE VERSION ACLOCAL AUTOCONF AUTOMAKE AUTOHEADER MAKEINFO AMTAR install_sh STRIP ac_ct_STRIP INSTALL_STRIP_PROGRAM AWK SET_MAKE P3S build build_cpu build_vendor build_os host host_cpu host_vendor host_os RANLIB ac_ct_RANLIB YACC CXX CXXFLAGS LDFLAGS CPPFLAGS ac_ct_CXX EXEEXT OBJEXT DEPDIR am__include am__quote AMDEP_TRUE AMDEP_FALSE AMDEPBACKSLASH CXXDEPMODE am__fastdepCXX_TRUE am__fastdepCXX_FALSE CC CFLAGS ac_ct_CC CCDEPMODE am__fastdepCC_TRUE am__fastdepCC_FALSE commentcharset_windows1251 commentcharset_windows1250 commentcharset_windows1257 commentcharset_koi8r dll_extension mysql_client pgsql_client oracle_client XML_INCLUDES XML_LIBS MIME_INCLUDES MIME_LIBS APACHE13 COMPILE_APACHE13_MODULE_TRUE COMPILE_APACHE13_MODULE_FALSE INCLTDL LIBLTDL subdirs LIBADD_DL CPP EGREP charsetsdir sqldriversdir LIBOBJS LTLIBOBJS'  ac_subst_vars='SHELL PATH_SEPARATOR PACKAGE_NAME PACKAGE_TARNAME PACKAGE_VERSION PACKAGE_STRING PACKAGE_BUGREPORT exec_prefix prefix program_transform_name bindir sbindir libexecdir datadir sysconfdir sharedstatedir localstatedir libdir includedir oldincludedir infodir mandir build_alias host_alias target_alias DEFS ECHO_C ECHO_N ECHO_T LIBS INSTALL_PROGRAM INSTALL_SCRIPT INSTALL_DATA CYGPATH_W PACKAGE VERSION ACLOCAL AUTOCONF AUTOMAKE AUTOHEADER MAKEINFO AMTAR install_sh STRIP ac_ct_STRIP INSTALL_STRIP_PROGRAM AWK SET_MAKE P3S build build_cpu build_vendor build_os host host_cpu host_vendor host_os RANLIB ac_ct_RANLIB YACC CXX CXXFLAGS LDFLAGS CPPFLAGS ac_ct_CXX EXEEXT OBJEXT DEPDIR am__include am__quote AMDEP_TRUE AMDEP_FALSE AMDEPBACKSLASH CXXDEPMODE am__fastdepCXX_TRUE am__fastdepCXX_FALSE CC CFLAGS ac_ct_CC CCDEPMODE am__fastdepCC_TRUE am__fastdepCC_FALSE commentcharset_windows1251 commentcharset_windows1250 commentcharset_windows1257 commentcharset_koi8r dll_extension mysql_client pgsql_client oracle_client CPP_LIBS GC_LIBS XML_INCLUDES XML_LIBS MIME_INCLUDES MIME_LIBS APACHE13 COMPILE_APACHE13_MODULE_TRUE COMPILE_APACHE13_MODULE_FALSE INCLTDL LIBLTDL subdirs LIBADD_DL CPP EGREP charsetsdir sqldriversdir LIBOBJS LTLIBOBJS'
 ac_subst_files=''  ac_subst_files=''
   
 # Initialize some variables set by options.  # Initialize some variables set by options.
Line 863  Optional Features: Line 863  Optional Features:
                           files belonging to group+user other then effective                            files belonging to group+user other then effective
   --disable-execs         to disable any execs    --disable-execs         to disable any execs
                           (file::exec, file::cgi, unix mail:send)                            (file::exec, file::cgi, unix mail:send)
   --disable-string-origins to switch off string origin tracking  
   
 Optional Packages:  Optional Packages:
   --with-PACKAGE[=ARG]    use PACKAGE [ARG=yes]    --with-PACKAGE[=ARG]    use PACKAGE [ARG=yes]
   --without-PACKAGE       do not use PACKAGE (same as --with-PACKAGE=no)    --without-PACKAGE       do not use PACKAGE (same as --with-PACKAGE=no)
     --with-build-warnings   to enable build-time compiler warnings if gcc is used
     --with-assertions       to enable assertions
   --with-charsets=CHARSET,CHARSET,...  Enables charsets in root config (windows-1251,    --with-charsets=CHARSET,CHARSET,...  Enables charsets in root config (windows-1251,
                           windows-1250 windows-1257 koi8-r; Default is windows-1251)                            windows-1250 windows-1257 koi8-r; Default is windows-1251)
   --with-mysql-client=mysqlclientlib?withparams    --with-mysql-client=mysqlclientlib?withparams
Line 881  Optional Packages: Line 882  Optional Packages:
   --with-dynamic-stdcpp   link libstdc++ dynamically    --with-dynamic-stdcpp   link libstdc++ dynamically
                           by default, libstdc++ is linked statically                            by default, libstdc++ is linked statically
   --with-sjlj-exceptions  enable simple 'throw' from dynamic library    --with-sjlj-exceptions  enable simple 'throw' from dynamic library
     --with-shared-gc=D      D is the directory where
                             Boehm garbage collecting library is installed (shared lib)
     --with-static-gc=D      D is the directory where
                             Boehm garbage collecting library is installed (static lib)
   --with-glib-config=FILE FILE is glib library    --with-glib-config=FILE FILE is glib library
                           configuration file (search for glib*-config)                            configuration file (search for glib*-config)
   --with-shared-xml=D     D is the directory where    --with-shared-xml=D     D is the directory where
Line 1581  fi Line 1586  fi
   
 # Define the identity of the package.  # Define the identity of the package.
  PACKAGE=parser   PACKAGE=parser
  VERSION=3.0.HEAD   VERSION=3.1.2beta
   
   
 # Some tools Automake needs.  # Some tools Automake needs.
Line 1715  else Line 1720  else
 fi  fi
   
   
   
 # Make sure we can run config.sub.  # Make sure we can run config.sub.
 $ac_config_sub sun4 >/dev/null 2>&1 ||  $ac_config_sub sun4 >/dev/null 2>&1 ||
   { { echo "$as_me:$LINENO: error: cannot run $ac_config_sub" >&5    { { echo "$as_me:$LINENO: error: cannot run $ac_config_sub" >&5
Line 3492  ac_compile='$CC -c $CFLAGS $CPPFLAGS con Line 3498  ac_compile='$CC -c $CFLAGS $CPPFLAGS con
 ac_link='$CC -o conftest$ac_exeext $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'  ac_link='$CC -o conftest$ac_exeext $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
 ac_compiler_gnu=$ac_cv_c_compiler_gnu  ac_compiler_gnu=$ac_cv_c_compiler_gnu
   
   
 echo "$as_me:$LINENO: checking for inline" >&5  echo "$as_me:$LINENO: checking for inline" >&5
 echo $ECHO_N "checking for inline... $ECHO_C" >&6  echo $ECHO_N "checking for inline... $ECHO_C" >&6
 if test "${ac_cv_c_inline+set}" = set; then  if test "${ac_cv_c_inline+set}" = set; then
Line 3552  esac Line 3559  esac
   
   
   
   
   # Check whether --with-build-warnings or --without-build-warnings was given.
   if test "${with_build_warnings+set}" = set; then
     withval="$with_build_warnings"
     { echo "$as_me:$LINENO: WARNING: enabling compiler warnings" >&5
   echo "$as_me: WARNING: enabling compiler warnings" >&2;}
           CXXFLAGS="$CXXFLAGS -W -Wall -Wstrict-prototypes -Wmissing-prototypes"
   
   fi;
   
   
   
   # Check whether --with-assertions or --without-assertions was given.
   if test "${with_assertions+set}" = set; then
     withval="$with_assertions"
     { echo "$as_me:$LINENO: WARNING: enabling assertions" >&5
   echo "$as_me: WARNING: enabling assertions" >&2;}
   
   else
   
   cat >>confdefs.h <<\_ACEOF
   #define NDEBUG
   _ACEOF
   
   
   fi;
   
 # Check whether --enable-safe-mode or --disable-safe-mode was given.  # Check whether --enable-safe-mode or --disable-safe-mode was given.
 if test "${enable_safe_mode+set}" = set; then  if test "${enable_safe_mode+set}" = set; then
   enableval="$enable_safe_mode"    enableval="$enable_safe_mode"
Line 3588  fi Line 3622  fi
   
 fi;  fi;
   
 # Check whether --enable-string-origins or --disable-string-origins was given.  
 if test "${enable_string_origins+set}" = set; then  
   enableval="$enable_string_origins"  
   
 if test "$enableval" = "no"; then  
         { echo "$as_me:$LINENO: WARNING: disabling string origin tracking" >&5  
 echo "$as_me: WARNING: disabling string origin tracking" >&2;}  
   
 cat >>confdefs.h <<\_ACEOF  
 #define NO_STRING_ORIGIN  
 _ACEOF  
   
 fi  
   
   
 fi;  
   
   
 srccharsetsdir=$srcdir/etc/parser3.charsets  srccharsetsdir=$srcdir/etc/parser3.charsets
 CHARSETS_REQUESTED="windows-1251"  CHARSETS_REQUESTED="windows-1251"
Line 3790  if test "${with_dynamic_stdcpp+set}" = s Line 3807  if test "${with_dynamic_stdcpp+set}" = s
 echo "$as_me: WARNING: libstdc++ will be linked dynamically: this is probably incompatible with other platforms" >&2;}  echo "$as_me: WARNING: libstdc++ will be linked dynamically: this is probably incompatible with other platforms" >&2;}
         # this is for apache, it's linked with gcc and need to know          # this is for apache, it's linked with gcc and need to know
         # and it would not harm linking with c++ toolchain          # and it would not harm linking with c++ toolchain
         LDFLAGS="$LDFLAGS -lstdc++"          CPP_LIBS="-lstdc++"
   
 else  else
   
         LDFLAGS="$LDFLAGS -Wl,-Bstatic -lstdc++ -Wl,-Bdynamic"          CPP_LIBS="-Wl,-Bstatic -lstdc++ -Wl,-Bdynamic"
   
 fi;  fi;
   
   
   
 # Check whether --with-sjlj-exceptions or --without-sjlj-exceptions was given.  # Check whether --with-sjlj-exceptions or --without-sjlj-exceptions was given.
 if test "${with_sjlj_exceptions+set}" = set; then  if test "${with_sjlj_exceptions+set}" = set; then
   withval="$with_sjlj_exceptions"    withval="$with_sjlj_exceptions"
Line 3810  _ACEOF Line 3828  _ACEOF
   
 fi;  fi;
   
   GC_LIB_NAME=gc
   
   # Check whether --with-shared-gc or --without-shared-gc was given.
   if test "${with_shared_gc+set}" = set; then
     withval="$with_shared_gc"
   
           GC_LIBS="-L$withval -l$GC_LIB_NAME"
   
   fi;
   
   # Check whether --with-static-gc or --without-static-gc was given.
   if test "${with_static_gc+set}" = set; then
     withval="$with_static_gc"
   
           GC_LIBS="-L$withval -Wl,-Bstatic -l$GC_LIB_NAME -Wl,-Bdynamic"
   
   fi;
   if test -z "$GC_LIBS"; then
           #undefined? use any found in system
           GC_LIBS="-l$GC_LIB_NAME"
           { echo "$as_me:$LINENO: WARNING: neither --with-shared/static-gc were specified, hoping linker would find it" >&5
   echo "$as_me: WARNING: neither --with-shared/static-gc were specified, hoping linker would find it" >&2;}
   fi
   
   echo "$as_me:$LINENO: checking for libgc" >&5
   echo $ECHO_N "checking for libgc... $ECHO_C" >&6
   SAVE_LIBS=$LIBS
   LIBS="$LIBS $GC_LIBS"
   cat >conftest.$ac_ext <<_ACEOF
   #line $LINENO "configure"
   /* confdefs.h.  */
   _ACEOF
   cat confdefs.h >>conftest.$ac_ext
   cat >>conftest.$ac_ext <<_ACEOF
   /* end confdefs.h.  */
   
           extern int GC_dont_gc;
   
   int
   main ()
   {
   
           GC_dont_gc=0;
   
     ;
     return 0;
   }
   _ACEOF
   rm -f conftest.$ac_objext conftest$ac_exeext
   if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
     (eval $ac_link) 2>&5
     ac_status=$?
     echo "$as_me:$LINENO: \$? = $ac_status" >&5
     (exit $ac_status); } &&
            { ac_try='test -s conftest$ac_exeext'
     { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     (eval $ac_try) 2>&5
     ac_status=$?
     echo "$as_me:$LINENO: \$? = $ac_status" >&5
     (exit $ac_status); }; }; then
     echo "$as_me:$LINENO: result: yes" >&5
   echo "${ECHO_T}yes" >&6
   
   else
     echo "$as_me: failed program was:" >&5
   sed 's/^/| /' conftest.$ac_ext >&5
   
   echo "$as_me:$LINENO: result: no" >&5
   echo "${ECHO_T}no" >&6
           { { echo "$as_me:$LINENO: error: please specify path to libgc: --with-shared-gc OR --with-static-gc" >&5
   echo "$as_me: error: please specify path to libgc: --with-shared-gc OR --with-static-gc" >&2;}
      { (exit 1); exit 1; }; }
   
   fi
   rm -f conftest.$ac_objext conftest$ac_exeext conftest.$ac_ext
   
   LIBS=$SAVE_LIBS
   
   
   
 # Check whether --with-glib-config or --without-glib-config was given.  # Check whether --with-glib-config or --without-glib-config was given.
Line 4509  done Line 4605  done
 fi  fi
   
   
 LIBS="$LIBS $LIBADD_DL"  
   
   
 ac_ext=c  ac_ext=c
Line 5246  fi Line 5341  fi
   
   
   
 for ac_header in signal.h \  for ac_header in assert.h \
   signal.h \
 unistd.h \  unistd.h \
 process.h \  process.h \
 stddef.h \  stddef.h \
Line 5260  ctype.h \ Line 5356  ctype.h \
 math.h \  math.h \
 crypt.h \  crypt.h \
 time.h sys/time.h \  time.h sys/time.h \
 stdlib.h \  
 string.h \  string.h \
 direct.h \  direct.h \
 setjmp.h \  setjmp.h \
Line 6001  fi Line 6096  fi
   
   
   
   for ac_func in flock \
   
   
   
 for ac_func in trunc \  
 round \  
 sign \  
 flock \  
 _locking \  _locking \
 fcntl \  fcntl \
 lockf \  lockf \
Line 6016  ftruncate \ Line 6104  ftruncate \
 getrusage \  getrusage \
 gettimeofday \  gettimeofday \
 crypt \  crypt \
 sigsetjmp siglongjmp  siglongjmp
   
 do  do
 as_ac_var=`echo "ac_cv_func_$ac_func" | $as_tr_sh`  as_ac_var=`echo "ac_cv_func_$ac_func" | $as_tr_sh`
Line 6102  done Line 6190  done
   
   
   
   pa_func=sigsetjmp
   echo "$as_me:$LINENO: checking for (maybe built-in) function $pa_func" >&5
   echo $ECHO_N "checking for (maybe built-in) function $pa_func... $ECHO_C" >&6
   cat >conftest.$ac_ext <<_ACEOF
   #line $LINENO "configure"
   /* confdefs.h.  */
   _ACEOF
   cat confdefs.h >>conftest.$ac_ext
   cat >>conftest.$ac_ext <<_ACEOF
   /* end confdefs.h.  */
   
   #ifdef HAVE_SETJMP_H
   #       include <setjmp.h>
   #endif
   
   int
   main ()
   {
   
           $pa_func(0,0);
   
     ;
     return 0;
   }
   _ACEOF
   rm -f conftest.$ac_objext
   if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
     (eval $ac_compile) 2>&5
     ac_status=$?
     echo "$as_me:$LINENO: \$? = $ac_status" >&5
     (exit $ac_status); } &&
            { ac_try='test -s conftest.$ac_objext'
     { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     (eval $ac_try) 2>&5
     ac_status=$?
     echo "$as_me:$LINENO: \$? = $ac_status" >&5
     (exit $ac_status); }; }; then
     echo "$as_me:$LINENO: result: yes" >&5
   echo "${ECHO_T}yes" >&6
   cat >>confdefs.h <<_ACEOF
   #define `echo "HAVE_$pa_func" | $as_tr_cpp` 1
   _ACEOF
   
   
   else
     echo "$as_me: failed program was:" >&5
   sed 's/^/| /' conftest.$ac_ext >&5
   
   echo "$as_me:$LINENO: result: no" >&5
   echo "${ECHO_T}no" >&6
   
   fi
   rm -f conftest.$ac_objext conftest.$ac_ext
   
   
   
   ac_ext=cc
   ac_cpp='$CXXCPP $CPPFLAGS'
   ac_compile='$CXX -c $CXXFLAGS $CPPFLAGS conftest.$ac_ext >&5'
   ac_link='$CXX -o conftest$ac_exeext $CXXFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
   ac_compiler_gnu=$ac_cv_cxx_compiler_gnu
   
   
   
   
   
   
   
   for pa_func in trunc \
   round \
   sign
   
   do
   
   echo "$as_me:$LINENO: checking for (maybe built-in) math function $pa_func" >&5
   echo $ECHO_N "checking for (maybe built-in) math function $pa_func... $ECHO_C" >&6
   cat >conftest.$ac_ext <<_ACEOF
   #line $LINENO "configure"
   /* confdefs.h.  */
   _ACEOF
   cat confdefs.h >>conftest.$ac_ext
   cat >>conftest.$ac_ext <<_ACEOF
   /* end confdefs.h.  */
   
   #ifdef HAVE_MATH_H
   #       include <math.h>
   #endif
   
   int
   main ()
   {
   
           double result=$pa_func(1.6);
   
     ;
     return 0;
   }
   _ACEOF
   rm -f conftest.$ac_objext
   if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
     (eval $ac_compile) 2>&5
     ac_status=$?
     echo "$as_me:$LINENO: \$? = $ac_status" >&5
     (exit $ac_status); } &&
            { ac_try='test -s conftest.$ac_objext'
     { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     (eval $ac_try) 2>&5
     ac_status=$?
     echo "$as_me:$LINENO: \$? = $ac_status" >&5
     (exit $ac_status); }; }; then
     echo "$as_me:$LINENO: result: yes" >&5
   echo "${ECHO_T}yes" >&6
   cat >>confdefs.h <<_ACEOF
   #define `echo "HAVE_$pa_func" | $as_tr_cpp`  1
   _ACEOF
   
   else
     echo "$as_me: failed program was:" >&5
   sed 's/^/| /' conftest.$ac_ext >&5
   
   echo "$as_me:$LINENO: result: no" >&5
   echo "${ECHO_T}no" >&6
   
   fi
   rm -f conftest.$ac_objext conftest.$ac_ext
   
   done
   
   ac_ext=c
   ac_cpp='$CPP $CPPFLAGS'
   ac_compile='$CC -c $CFLAGS $CPPFLAGS conftest.$ac_ext >&5'
   ac_link='$CC -o conftest$ac_exeext $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
   ac_compiler_gnu=$ac_cv_c_compiler_gnu
   
   
   
   
 for ac_func in qsort  for ac_func in qsort
 do  do
Line 6191  fi Line 6415  fi
 done  done
   
   
 for ac_func in select  echo "$as_me:$LINENO: checking for select" >&5
 do  echo $ECHO_N "checking for select... $ECHO_C" >&6
 as_ac_var=`echo "ac_cv_func_$ac_func" | $as_tr_sh`  if test "$cross_compiling" = yes; then
 echo "$as_me:$LINENO: checking for $ac_func" >&5    { { echo "$as_me:$LINENO: error: cannot run test program while cross compiling
 echo $ECHO_N "checking for $ac_func... $ECHO_C" >&6  See \`config.log' for more details." >&5
 if eval "test \"\${$as_ac_var+set}\" = set"; then  echo "$as_me: error: cannot run test program while cross compiling
   echo $ECHO_N "(cached) $ECHO_C" >&6  See \`config.log' for more details." >&2;}
      { (exit 1); exit 1; }; }
 else  else
   cat >conftest.$ac_ext <<_ACEOF    cat >conftest.$ac_ext <<_ACEOF
 #line $LINENO "configure"  #line $LINENO "configure"
Line 6206  _ACEOF Line 6431  _ACEOF
 cat confdefs.h >>conftest.$ac_ext  cat confdefs.h >>conftest.$ac_ext
 cat >>conftest.$ac_ext <<_ACEOF  cat >>conftest.$ac_ext <<_ACEOF
 /* end confdefs.h.  */  /* end confdefs.h.  */
 /* System header to define __stub macros and hopefully few prototypes,  
     which can conflict with char $ac_func (); below.  
     Prefer <limits.h> to <assert.h> if __STDC__ is defined, since  #ifdef HAVE_SYS_SELECT_H
     <limits.h> exists even on freestanding compilers.  */  #       include <sys/select.h>
 #ifdef __STDC__  
 # include <limits.h>  
 #else  
 # include <assert.h>  
 #endif  #endif
 /* Override any gcc2 internal prototype to avoid an error.  */  
 #ifdef __cplusplus  #ifdef HAVE_SYS_SOCKET_H
 extern "C"  #       include <sys/socket.h>
 {  
 #endif  #endif
 /* We use char because int might match the return type of a gcc2  
    builtin and then its argument prototype would still apply.  */  #if TIME_WITH_SYS_TIME
 char $ac_func ();  #       include <sys/time.h>
 /* The GNU C library defines this for functions which it implements  #       include <time.h>
     to always fail with ENOSYS.  Some functions are actually named  
     something starting with __ and the normal name is an alias.  */  
 #if defined (__stub_$ac_func) || defined (__stub___$ac_func)  
 choke me  
 #else  #else
 char (*f) () = $ac_func;  #       ifdef HAVE_SYS_TIME_H
 #endif  #               include <sys/time.h>
 #ifdef __cplusplus  #       else
 }  #               include <time.h>
   #       endif
 #endif  #endif
   
   #ifdef  __STDC__
   int (*f)(int, fd_set *, fd_set *, fd_set *, struct timeval *)=select;
   #else
   int (*f)()=select;
   #endif  /* __STDC__ */
   
 int  int
 main ()  main ()
 {  {
 return f != $ac_func;          return f != select;
   ;  
   return 0;  
 }  }
   
 _ACEOF  _ACEOF
 rm -f conftest.$ac_objext conftest$ac_exeext  rm -f conftest$ac_exeext
 if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5  if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
   (eval $ac_link) 2>&5    (eval $ac_link) 2>&5
   ac_status=$?    ac_status=$?
   echo "$as_me:$LINENO: \$? = $ac_status" >&5    echo "$as_me:$LINENO: \$? = $ac_status" >&5
   (exit $ac_status); } &&    (exit $ac_status); } && { ac_try='./conftest$ac_exeext'
          { ac_try='test -s conftest$ac_exeext'  
   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5    { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5    (eval $ac_try) 2>&5
   ac_status=$?    ac_status=$?
   echo "$as_me:$LINENO: \$? = $ac_status" >&5    echo "$as_me:$LINENO: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then    (exit $ac_status); }; }; then
   eval "$as_ac_var=yes"  
 else  
   echo "$as_me: failed program was:" >&5  
 sed 's/^/| /' conftest.$ac_ext >&5  
   
 eval "$as_ac_var=no"  cat >>confdefs.h <<\_ACEOF
 fi  #define HAVE_SELECT
 rm -f conftest.$ac_objext conftest$ac_exeext conftest.$ac_ext  
 fi  
 echo "$as_me:$LINENO: result: `eval echo '${'$as_ac_var'}'`" >&5  
 echo "${ECHO_T}`eval echo '${'$as_ac_var'}'`" >&6  
 if test `eval echo '${'$as_ac_var'}'` = yes; then  
   cat >>confdefs.h <<_ACEOF  
 #define `echo "HAVE_$ac_func" | $as_tr_cpp` 1  
 _ACEOF  _ACEOF
   
   echo "$as_me:$LINENO: result: yes" >&5
   echo "${ECHO_T}yes" >&6
 else  else
   { { echo "$as_me:$LINENO: error: No select library function." >&5    echo "$as_me: program exited with status $ac_status" >&5
   echo "$as_me: failed program was:" >&5
   sed 's/^/| /' conftest.$ac_ext >&5
   
   ( exit $ac_status )
   { { echo "$as_me:$LINENO: error: No select library function." >&5
 echo "$as_me: error: No select library function." >&2;}  echo "$as_me: error: No select library function." >&2;}
    { (exit 1); exit 1; }; }     { (exit 1); exit 1; }; }
 fi  
 done  
   
   fi
   rm -f core core.* *.core gmon.out bb.out conftest$ac_exeext conftest.$ac_objext conftest.$ac_ext
   fi
   
   
 echo "$as_me:$LINENO: checking for timezone variable" >&5  echo "$as_me:$LINENO: checking for timezone variable" >&5
Line 6530  sqldriversdir=$e_libdir Line 6748  sqldriversdir=$e_libdir
   
           ac_config_headers="$ac_config_headers src/include/pa_config_auto.h"            ac_config_headers="$ac_config_headers src/include/pa_config_auto.h"
   
                                                                                                                                                                                                                                                 ac_config_files="$ac_config_files Makefile src/Makefile src/types/Makefile src/classes/Makefile src/classes/gd/Makefile src/classes/smtp/Makefile src/include/Makefile src/main/Makefile src/sql/Makefile src/lib/Makefile src/lib/ltdl/Makefile src/lib/pcre/Makefile src/lib/md5/Makefile src/lib/patches/Makefile src/targets/Makefile src/targets/cgi/Makefile src/targets/apache13/Makefile src/targets/apache13/hook/Makefile src/targets/apache13/p3runConfigure src/targets/isapi/Makefile etc/Makefile etc/parser3.charsets/Makefile bin/Makefile bin/auto.p.dist"                                                                                                                                                                                                                                                                                                                        ac_config_files="$ac_config_files Makefile src/Makefile src/types/Makefile src/classes/Makefile src/include/Makefile src/main/Makefile src/sql/Makefile src/lib/Makefile src/lib/patches/Makefile src/lib/gd/Makefile src/lib/smtp/Makefile src/lib/gc/Makefile src/lib/gc/include/Makefile src/lib/cord/Makefile src/lib/cord/include/Makefile src/lib/cord/include/private/Makefile src/lib/ltdl/Makefile src/lib/pcre/Makefile src/lib/md5/Makefile src/lib/sdbm/Makefile src/lib/sdbm/apr-include/Makefile src/targets/Makefile src/targets/cgi/Makefile src/targets/apache13core/Makefile src/targets/apache13/Makefile src/targets/apache13/p3runConfigure src/targets/isapi/Makefile etc/Makefile etc/parser3.charsets/Makefile bin/Makefile bin/auto.p.dist"
 cat >confcache <<\_ACEOF  cat >confcache <<\_ACEOF
 # This file is a shell script that caches the results of configure  # This file is a shell script that caches the results of configure
 # tests run on this system so they can be shared between configure  # tests run on this system so they can be shared between configure
Line 7097  do Line 7315  do
   "src/Makefile" ) CONFIG_FILES="$CONFIG_FILES src/Makefile" ;;    "src/Makefile" ) CONFIG_FILES="$CONFIG_FILES src/Makefile" ;;
   "src/types/Makefile" ) CONFIG_FILES="$CONFIG_FILES src/types/Makefile" ;;    "src/types/Makefile" ) CONFIG_FILES="$CONFIG_FILES src/types/Makefile" ;;
   "src/classes/Makefile" ) CONFIG_FILES="$CONFIG_FILES src/classes/Makefile" ;;    "src/classes/Makefile" ) CONFIG_FILES="$CONFIG_FILES src/classes/Makefile" ;;
   "src/classes/gd/Makefile" ) CONFIG_FILES="$CONFIG_FILES src/classes/gd/Makefile" ;;  
   "src/classes/smtp/Makefile" ) CONFIG_FILES="$CONFIG_FILES src/classes/smtp/Makefile" ;;  
   "src/include/Makefile" ) CONFIG_FILES="$CONFIG_FILES src/include/Makefile" ;;    "src/include/Makefile" ) CONFIG_FILES="$CONFIG_FILES src/include/Makefile" ;;
   "src/main/Makefile" ) CONFIG_FILES="$CONFIG_FILES src/main/Makefile" ;;    "src/main/Makefile" ) CONFIG_FILES="$CONFIG_FILES src/main/Makefile" ;;
   "src/sql/Makefile" ) CONFIG_FILES="$CONFIG_FILES src/sql/Makefile" ;;    "src/sql/Makefile" ) CONFIG_FILES="$CONFIG_FILES src/sql/Makefile" ;;
   "src/lib/Makefile" ) CONFIG_FILES="$CONFIG_FILES src/lib/Makefile" ;;    "src/lib/Makefile" ) CONFIG_FILES="$CONFIG_FILES src/lib/Makefile" ;;
     "src/lib/patches/Makefile" ) CONFIG_FILES="$CONFIG_FILES src/lib/patches/Makefile" ;;
     "src/lib/gd/Makefile" ) CONFIG_FILES="$CONFIG_FILES src/lib/gd/Makefile" ;;
     "src/lib/smtp/Makefile" ) CONFIG_FILES="$CONFIG_FILES src/lib/smtp/Makefile" ;;
     "src/lib/gc/Makefile" ) CONFIG_FILES="$CONFIG_FILES src/lib/gc/Makefile" ;;
     "src/lib/gc/include/Makefile" ) CONFIG_FILES="$CONFIG_FILES src/lib/gc/include/Makefile" ;;
     "src/lib/cord/Makefile" ) CONFIG_FILES="$CONFIG_FILES src/lib/cord/Makefile" ;;
     "src/lib/cord/include/Makefile" ) CONFIG_FILES="$CONFIG_FILES src/lib/cord/include/Makefile" ;;
     "src/lib/cord/include/private/Makefile" ) CONFIG_FILES="$CONFIG_FILES src/lib/cord/include/private/Makefile" ;;
   "src/lib/ltdl/Makefile" ) CONFIG_FILES="$CONFIG_FILES src/lib/ltdl/Makefile" ;;    "src/lib/ltdl/Makefile" ) CONFIG_FILES="$CONFIG_FILES src/lib/ltdl/Makefile" ;;
   "src/lib/pcre/Makefile" ) CONFIG_FILES="$CONFIG_FILES src/lib/pcre/Makefile" ;;    "src/lib/pcre/Makefile" ) CONFIG_FILES="$CONFIG_FILES src/lib/pcre/Makefile" ;;
   "src/lib/md5/Makefile" ) CONFIG_FILES="$CONFIG_FILES src/lib/md5/Makefile" ;;    "src/lib/md5/Makefile" ) CONFIG_FILES="$CONFIG_FILES src/lib/md5/Makefile" ;;
   "src/lib/patches/Makefile" ) CONFIG_FILES="$CONFIG_FILES src/lib/patches/Makefile" ;;    "src/lib/sdbm/Makefile" ) CONFIG_FILES="$CONFIG_FILES src/lib/sdbm/Makefile" ;;
     "src/lib/sdbm/apr-include/Makefile" ) CONFIG_FILES="$CONFIG_FILES src/lib/sdbm/apr-include/Makefile" ;;
   "src/targets/Makefile" ) CONFIG_FILES="$CONFIG_FILES src/targets/Makefile" ;;    "src/targets/Makefile" ) CONFIG_FILES="$CONFIG_FILES src/targets/Makefile" ;;
   "src/targets/cgi/Makefile" ) CONFIG_FILES="$CONFIG_FILES src/targets/cgi/Makefile" ;;    "src/targets/cgi/Makefile" ) CONFIG_FILES="$CONFIG_FILES src/targets/cgi/Makefile" ;;
     "src/targets/apache13core/Makefile" ) CONFIG_FILES="$CONFIG_FILES src/targets/apache13core/Makefile" ;;
   "src/targets/apache13/Makefile" ) CONFIG_FILES="$CONFIG_FILES src/targets/apache13/Makefile" ;;    "src/targets/apache13/Makefile" ) CONFIG_FILES="$CONFIG_FILES src/targets/apache13/Makefile" ;;
   "src/targets/apache13/hook/Makefile" ) CONFIG_FILES="$CONFIG_FILES src/targets/apache13/hook/Makefile" ;;  
   "src/targets/apache13/p3runConfigure" ) CONFIG_FILES="$CONFIG_FILES src/targets/apache13/p3runConfigure" ;;    "src/targets/apache13/p3runConfigure" ) CONFIG_FILES="$CONFIG_FILES src/targets/apache13/p3runConfigure" ;;
   "src/targets/isapi/Makefile" ) CONFIG_FILES="$CONFIG_FILES src/targets/isapi/Makefile" ;;    "src/targets/isapi/Makefile" ) CONFIG_FILES="$CONFIG_FILES src/targets/isapi/Makefile" ;;
   "etc/Makefile" ) CONFIG_FILES="$CONFIG_FILES etc/Makefile" ;;    "etc/Makefile" ) CONFIG_FILES="$CONFIG_FILES etc/Makefile" ;;
Line 7264  s,@dll_extension@,$dll_extension,;t t Line 7489  s,@dll_extension@,$dll_extension,;t t
 s,@mysql_client@,$mysql_client,;t t  s,@mysql_client@,$mysql_client,;t t
 s,@pgsql_client@,$pgsql_client,;t t  s,@pgsql_client@,$pgsql_client,;t t
 s,@oracle_client@,$oracle_client,;t t  s,@oracle_client@,$oracle_client,;t t
   s,@CPP_LIBS@,$CPP_LIBS,;t t
   s,@GC_LIBS@,$GC_LIBS,;t t
 s,@XML_INCLUDES@,$XML_INCLUDES,;t t  s,@XML_INCLUDES@,$XML_INCLUDES,;t t
 s,@XML_LIBS@,$XML_LIBS,;t t  s,@XML_LIBS@,$XML_LIBS,;t t
 s,@MIME_INCLUDES@,$MIME_INCLUDES,;t t  s,@MIME_INCLUDES@,$MIME_INCLUDES,;t t

Removed from v.1.66.2.3  
changed lines
  Added in v.1.73


E-mail: